Upgrade now: Do you need an RE/BBNC upgrade?

Do you know which versions of Raiser’s Edge and NetCommunity you are using?

[clearboth]

We are advising all of our clients to take a moment to check that they are using the most up-to-date version of these products. Upgrading will let you work faster and more efficiently, and give you access to the version with the most recent Blackbaud updates, fixes and amendments.

Not sure which version you have?

Get in touch, and we will check for you.

Know you need to update?

We would love to book in a suitable time, and do your upgrade for you.

Give us a call, or email us, to discuss your requirements in more detail: +44 (0)203 397 7801.